<?php

namespace Portal\Mileage\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;

class Users extends Model
{

    use Notifiable;
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'users';


    /**
     * undocumented function
     *
     * @return void
     * @author 
     **/
    public function info()
    {
        return $this->hasOne('Portal\Mileage\Model\VwStaff','employeeCode');
    }

    /**
     * undocumented function
     *
     * @return void
     * @author 
     **/
    public function staffinfo()
    {
        return $this->belongsTo('Portal\Mileage\Model\StaffInfo','id','fk_users');
    }


}
